server {
	#开放端口
	listen       90;

	#站点域名
	server_name mail.vip.usee88.com;
	client_max_body_size 50m;

	#默认访问文件
	index index.php;

	#站点根路径
	root /data/www/PostfixAdmin/public;

	#访问日志
	access_log      /data/logs/web/mail.usee88.com:90.log;

	location / {
		#try_files $uri $uri/ /index.php?q=$uri&$args;
	}

	location ~ ^/(README.md|INSTALL|LICENSE|CHANGELOG|UPGRADING)$ {
		deny all;
	}


	location ~ ^/(config|temp|logs)/ {
		deny all;
	}

	location ~ /\. {
		deny all;
		access_log off;
		log_not_found off;
	}

	#对PHP支持
	location ~ .*\.php?$ {
		root /data/www/PostfixAdmin/public;
		fastcgi_pass 127.0.0.1:9000;

		set $path_info "";
		set $real_script_name $fastcgi_script_name;
		
		if ($fastcgi_script_name ~ "^(.+?\.php)(/.+)$"){
			set $real_script_name $1;
			set $path_info $2;
		}

		fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		#fastcgi_param PATH_INFO $path_info;
		include fastcgi_params;
		fastcgi_param CI_ENV production;
	}
}
